# Class: AdminPostDiscountsDiscountDynamicCodesReq

[internal](../modules/internal-7.md).AdminPostDiscountsDiscountDynamicCodesReq

## Properties

### code

• **code**: `string`

#### Defined in

medusa/dist/api/routes/admin/discounts/create-dynamic-code.d.ts:67

___

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/discounts/create-dynamic-code.d.ts:69

___

### usage\_limit

• **usage\_limit**: `number`

#### Defined in

medusa/dist/api/routes/admin/discounts/create-dynamic-code.d.ts:68
